ROUTE6D(8) | System Manager's Manual | ROUTE6D(8)

# NAME

`route6d` —
RIP6 routing daemon

# SYNOPSIS

`route6d` | [`-aDdhlnqSs`] [`-A` prefix/preflen,if1[,if2...]] [`-L` prefix/preflen,if1[,if2...]] [`-N` if1[,if2...]] [`-O` prefix/preflen,if1[,if2...]] [`-R` routelog] [`-T` if1[,if2...]] [`-t` tag]

# DESCRIPTION

The `route6d` is a routing daemon which supports RIP over IPv6.

Options are:

`-a`
  Enables aging of the statically defined routes. With this option, any statically defined routes will be removed unless corresponding updates arrive as if the routes are received at the startup of `route6d`.
`-R` routelog
  This option makes `route6d` log route changes (add/delete) to the file routelog.
`-A` prefix/preflen,if1[,if2...]
  This option is used for aggregating routes. prefix/preflen specifies the prefix and the prefix length of the aggregated route. When advertising routes, `route6d` filters specific routes covered by the aggregate and advertises the aggregated route prefix/preflen to the interfaces specified in the comma-separated interface list if1[,if2...]. `route6d` creates a static route to prefix/preflen, with the `RTF_REJECT` flag set, into the kernel routing table.
`-d`
  Enables output of debugging messages. This option also instructs `route6d` to run in foreground mode (i.e., it does not become a daemon process).
`-D`
  Enables extensive output of debugging messages. This option also instructs `route6d` to run in foreground mode (i.e., it does not become a daemon process).
`-h`
  Disables split horizon processing.
`-l`
  By default, `route6d` will not exchange site local routes for safety reasons. This is because the semantics of site local address space are rather vague, as the specification is still being worked on, and there is no good way to define the site local boundary. With `-l`, `route6d` will exchange site local routes as well. It must not be used on site boundary routers, since `-l` assumes that all interfaces are in the same site.
`-L` prefix/preflen,if1[,if2...]
  Filter incoming routes from interfaces if1,[if2...]. `route6d` will accept incoming routes that are in prefix/preflen. If multiple `-L` options are specified, all routes that match any of the options are accepted. `::/0` is treated specially as default route, not “any route that has longer prefix length than, or equal to 0”. If you would like to accept any route, specify no `-L` option. For example, with “`-L` `3ffe::/16,if1` `-L` `::/0,if1`” `route6d` will accept the default route and routes in the 6bone test address range, but no others.
`-n`
  Do not update the kernel routing table.
`-N` if1[,if2...]
  Do not listen to, or advertise, route from/to interfaces specified by if1,[if2...].
`-O` prefix/preflen,if1[,if2...]
  Restrict route advertisement toward interfaces specified by if1,[if2...]. With this option `route6d` will only advertise routes that match prefix/preflen.
`-q`
  Makes `route6d` use listen-only mode. No advertisement is sent.
`-s`
  Makes `route6d` advertise the statically defined routes which exist in the kernel routing table when `route6d` is invoked. Announcements obey the regular split horizon rule.
`-S`
  This option is the same as `-s`, except that the split horizon rule does apply.
`-T` if1[,if2...]
  Advertise only the default route toward if1,[if2...].
`-t` tag
  Attach the route tag tag to originated route entries. tag can be decimal, octal prefixed by `0`, or hexadecimal prefixed by `0x`.

Upon receipt of signal `SIGINT` or `SIGUSR1`, `route6d` will dump the current internal state into /var/run/route6d_dump.

# FILES

/var/run/route6d_dump
  contains the internal state dumps created if `route6d` receives a `SIGINT` or `SIGUSR1` signal

# SEE ALSO

G. Malkin and R. Minnear, RIPng for IPv6, RFC 2080, January 1997.

# NOTES

`route6d` uses the advanced IPv6 API, defined in RFC 3542, for communicating with peers using link-local addresses.

Internally `route6d` embeds interface identifiers into bits 32 to 63 of link-local addresses (`fe80::xx` and `ff02::xx`) so they will be visible in the internal state dump file (/var/run/route6d_dump).

Routing table manipulation differs from IPv6 implementation to implementation. Currently `route6d` obeys the WIDE Hydrangea/KAME IPv6 kernel, and will not be able to run on other platforms.

Currently, `route6d` does not reduce the rate of the triggered updates when consecutive updates arrive.

May 25, 2006 | NetBSD 9.4